/* NRO (locations/new-locations Page ------------------------------------------------------------ START*/

.locations-page {
  margin: 0;
  padding: 32px 0 32px;
  background: transparent;
  min-height: calc(100vh - 432px);

  .new-locations.container {
    max-width: 880px;
    border-radius: 12px;
    padding: 24px;
  }

  .new-locations p.no-record {
    text-align: center;
    font-family: "TradeGothicLTStd", "Trade Gothic LT Std", sans-serif;
    font-weight: bold;
    font-size: 1.125rem;
    line-height: 1.5;
  }

  .new-locations .tabs {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    width: 100%;
    max-width: 680px;
    /* padding: 3px;
        background: #e7e7e7; */
    border-radius: 40px;
    flex-wrap: wrap;
  }

  .new-locations .tab {
    flex: 1;
    padding: 8px 12px;
    text-align: center;
    font-family: "TradeGothicLTStd", "Trade Gothic LT Std", sans-serif;
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 700;
    color: #606060;
    border-radius: 40px;
    cursor: pointer;
    transition: background-color 0.25s ease;
    background: #e7e7e7;
    -webkit-transition: background-color 0.25s ease;
    -moz-transition: background-color 0.25s ease;
    -ms-transition: background-color 0.25s ease;
    -o-transition: background-color 0.25s ease;
  }

  .new-locations .tab a {
    color: inherit !important;
    text-decoration: none;
    text-wrap-mode: nowrap;
    white-space: nowrap;
  }

  .new-locations .tab:not(.active):hover {
    background: #dcdcdc;
  }

  .new-locations .tab.active {
    background: var(--brand-red, #be2f37);
    color: #ffffff;
  }

  .location-card {
    display: flex;
    min-height: 150px;
    margin-bottom: 16px;
    background: transparent;
    border: 1px solid #000;
    border-radius: 16px;
    overflow: hidden;
    flex-direction: column;
  }

  .location-card .card-image {
    flex: 0 0 180px;
    aspect-ratio: 1 / 1;
    overflow: hidden;
  }

  .location-card .card-image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    /* object-fit: cover; */
    display: block;
  }

  .card-content {
    display: flex;
    justify-content: space-between;
    /* align-items: center; */
    width: 100%;
    padding: 32px;
    flex-direction: column;
  }

  .loc-title {
    font-family: "TradeGothicLTStd-BdCn20";
    font-size: 1.25rem;
    line-height: 1.5;
    font-weight: 700;
    color: var(--brand-red);
    margin-bottom: 0;
  }

  a .loc-title:hover {
    color: black;
  }

  .card-text a {
    text-decoration: underline;
  }

  .card-text a:hover {
    text-decoration: none;
    color: #000;
  }

  .address {
    font-family: "TradeGothicLTStd-Cn18";
    font-weight: 400;
    font-size: 1.125rem;
    line-height: 1.3;
    color: var(--brand-body-accent-color, #606060);
  }

  .card-status {
    display: flex;
    align-items: center;
  }

  .status-pill {
    padding: 8px 32px;
    border: 2px solid var(--brand-red, #be2f37);
    border-radius: 30px;
    background: transparent;
    font-family: "TradeGothicLTStd-BdCn20";
    font-size: 1rem;
    line-height: 1.5;
    font-weight: 400;
    text-transform: uppercase;
    color: var(--brand-red, #be2f37);
  }

  .comingsoon .status-pill {
    background: var(--brand-red);
    color: #ffffff;
    border: none;
  }

  @media (max-width: 767px) {
    .locations-page {
      padding: 20px 0;

      .new-locations.container {
        padding: 16px;
      }

      .new-locations .tabs {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 8px;
        background: transparent;
        border-radius: 16px;
      }

      .new-locations .tab {
        padding: 12px 0;
        background: #e7e7e7;
      }

      .location-card {
        gap: 10px;
      }

      .card-content {
        display: grid;
        grid-template-rows: auto auto;
        gap: 16px;
        padding: 20px 20px 20px 0;
        justify-content: center;
      }

      .card-text {
        text-align: center;
      }

      .card-status {
        justify-content: center;
        width: 100%;
      }

      .status-pill {
        padding: 6px 14px;
      }
    }
  }

  @media (min-width: 576px) {
    .location-card {
      flex-direction: row;
    }

    .location-card .card-image {
      flex: 0 0 12.5rem;
    }
  }

  @media (min-width: 768px) {
    .new-locations .tabs {
      flex-wrap: nowrap;
      background: #e7e7e7;
    }
  }

  @media (min-width: 992px) {
    .card-content {
      flex-direction: row;
      align-items: center;
    }

    .address {
      margin-bottom: 0;
    }
  }
}

/* NRO (locations/new-locations  Page ------------------------------------------------------------END*/

/* accessibility-statement Page ------------------------------------------------------------ START*/
.page--accessibility {
  background: #fff;
}

.page--accessibility .container--iframe {
  max-width: 960px;
  padding: 48px 0;
}

.page--accessibility h1 {
  font-family: var(--brand-heading-font, "TradeGothicLTStd-BdCn20, " Helvetica Neue Condensed Bold ", " Arial Narrow Bold ", sans-serif");
  font-size: 2.5rem;
  font-weight: 700;
  line-height: normal;
  color: var(--brand-body-default-color, #303030);
  padding: 8px 0 12px;
  margin-bottom: 40px;
}

@media(max-width: 768px) {
  .page--accessibility h1 {
    font-size: 1.5rem;
    padding: 0 40px;
  }
}

/* accessibility-statement Page ------------------------------------------------------------ END*/

/* ==========================================================================
   CATEGORY NAVIGATION
   ========================================================================== */

.faq__category-nav {
  display: none;
}

/* ============================================================
   FAQ Accordion 
   ============================================================ */


.faq__title {
  font-size: 1.75rem;
  margin-bottom: 1.5rem;
}

.faq__expanded-list {
  .faq__category-title {
    text-transform: uppercase;
  }

  .faq__category-description {
    font-size: 1.125rem;
    color: var(--brand-body-accent-color, #606060);
  }

  .faq__item {

    h3,
    .faq__question-static {
      text-transform: uppercase;
    }
  }
}

.faq__accordion {
  .faq__category-title {
    font-size: 1.5rem;
    color: var(--brand-red, #be2f37);
    text-transform: uppercase;
  }

  .faq__category-description {
    color: var(--brand-body-default-color, #303030);
    font-size: 1rem;
  }

  .faq__item {
    border-bottom: 1px solid #e0e0e0;
    background: transparent;
    transition: all 0.3s ease;

    .faq__item-heading {
      margin-bottom: 0;

      .faq__trigger {
        width: 100%;
        background-color: transparent;
        padding: 1rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: none;
        text-align: left;
        transition: background-color 0.3s ease;
        cursor: pointer;
        text-decoration: none;
        -webkit-transition: background-color 0.3s ease;
        -moz-transition: background-color 0.3s ease;
        -ms-transition: background-color 0.3s ease;
        -o-transition: background-color 0.3s ease;

        &.collapsed {
          background-color: transparent;
        }

        &[aria-expanded="true"],
        &[aria-expanded="false"]:hover {
          background-color: var(--brand-color-sugar-cane, #EDEDEC);
        }

        &[aria-expanded="false"] {
          background-color: transparent;
        }

        &[aria-expanded="true"] {
          .faq__icon {
            &::after {
              transform: rotate(90deg);
              opacity: 0;
            }
          }
        }

        .faq__icon {
          position: relative;
          width: 10px;
          height: 10px;
          flex-shrink: 0;

          &::before,
          &::after {
            content: '';
            position: absolute;
            background-color: #000;
            transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1);
          }

          &::before {
            top: 50%;
            left: 0;
            width: 100%;
            height: 2px;
            margin-top: -1px;
          }

          /* Vertical line */
          &::after {
            top: 0;
            left: 50%;
            width: 2px;
            height: 100%;
            margin-left: -1px;
          }
        }


      }

      .faq__question-text {
        font-size: 1rem;
        padding-right: 15px;
        transition: color 0.3s ease;
        -webkit-transition: color 0.3s ease;
        -moz-transition: color 0.3s ease;
        -ms-transition: color 0.3s ease;
        -o-transition: color 0.3s ease;
        text-transform: uppercase;
      }
    }

    .faq__answer {

      p {
        font-size: 1rem;
        color: var(--brand-body-default-color, #303030);
        margin-bottom: 0;

        &+p {
          margin-top: 1rem;
        }
      }

      a {
        font-size: 1rem;
        color: var(--brand-red, #be2f37);
        text-decoration: none;
      }
    }



    .faq__collapse {
      padding: 1rem;
    }

  }

}


/* ==========================================================================
   Right Rail
   ========================================================================== */

.faq__right-rail {
  display: none;
  padding: 0 1.5rem 1.5rem 1.5rem;

  .faq__right-rail-list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    padding-left: 0;
    margin-bottom: 1.5rem;
  }

  .faq__right-rail-link {
    color: var(--brand-body-default-color, #303030);
    text-transform: uppercase;
    line-height: 1.3 !important;
    font-weight: 600;
  }

  .faq__right-rail-link:hover {
    color: var(--brand-body-default-color, #303030);
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1px;
  }

  .faq__right-rail-contact-us {
    border-top: 3px solid var(--tcb-golden-brown, #e0e0e0);
    border-bottom: 3px solid var(--tcb-golden-brown, #e0e0e0);
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;

    p {
      margin-bottom: 0;
    }

    a {
      color: var(--brand-body-default-color, #303030);

      &:hover {
        color: var(--brand-body-default-color, #303030);
        text-decoration: underline;
      }
    }
  }

  .faq__right-rail-banner {
    margin-bottom: 1.5rem;

    .btn--primary,
    .btn--primary:active,
    .btn--primary:focus {
      color: #fff;
      background: var(--brand-red, #be2f37);
      border: 2px solid var(--brand-red, #be2f37);
    }

    .btn--primary:hover {
      background: var(--brand-red-hover, #EC3F47);
      color: #fff;
      border: 2px solid var(--brand-red, #EC3F47);
    }
  }
}

@media (min-width: 540px) {
  .faq__accordion {
    .faq__category-title {
      font-size: 1.75rem;
    }

    .faq__category-description {
      font-size: 1.125rem;
    }

    .faq__item {
      .faq__item-heading {
        .faq__question-text {
          font-size: 1.25rem;
        }
      }

      .faq__answer {

        p,
        a {
          font-size: 1.125rem;
        }
      }
    }



  }

}

@media (min-width: 768px) {
  .faq__expanded-list {
    .faq__category-title {

      font-size: 2.75rem;
    }

  }

  .faq__accordion {

    .faq__item {
      .faq__item-heading {

        .faq__trigger {
          padding: 1.5rem;
        }
      }

      .faq__collapse {
        padding: 1.5rem;
      }

    }
  }
}

@media (min-width: 992px) {


  .faq__right-rail {
    display: flex;
    flex-direction: column;

    .faq__right-rail-title {
      font-size: 1.75rem;
    }
  }
}

@media (min-width:1200px) {
  .container--faq {
    max-width: 1140px !important;
    margin-left: auto;
    margin-right: auto;
  }

  .faq__category-nav {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
    font-size: 1rem;
    text-transform: uppercase;
    margin-bottom: 2.5rem;

    .faq__category-nav-list {
      li {
        a {
          padding: .5rem 1rem;
          background-color: var(--brand-red, #be2f37);
          color: #FFF;
          display: block;

          &:hover {
            color: #FFF;

          }
        }

      }

    }



  }

  .faq__accordion {
    .faq__category-title {
      font-size: 2.75rem;

    }

    .faq__category-description {
      font-size: 1.25rem;
    }

    .faq__item {
      .faq__item-heading {
        .faq__question-text {
          font-size: 1.25rem;
        }
      }

      .faq__answer {

        p,
        a {
          font-size: 1.25rem;
        }
      }
    }
  }

  .faq__expanded-list {
    .faq__category-title {
      font-size: 3rem;
    }

    .faq__category-description {
      font-size: 1.25rem;
    }

    .faq__item--expanded {
      font-size: 1.25rem;

      p,
      a {
        font-size: 1.25rem;
      }
    }

  }
}


/* FAQS ------------------------------------------------------------ END*/